> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `GET /api/v1/orders`

> `GET /api/v1/orders`

### Query parameters

<ParamField query="limit" type="integer (int32)">
  Maximum number of results to return (default: 50).
</ParamField>

<ParamField query="offset" type="integer (int32)">
  Number of results to skip (default: 0). Ignored when `after` cursor is set.
</ParamField>

<ParamField query="after" type="string">
  Cursor for keyset pagination (opaque token from `next_cursor`).
</ParamField>

<ParamField query="customer_id" type="string">
  Filter by customer ID (UUID).
</ParamField>

<ParamField query="status" type="string">
  Filter by order status (pending, confirmed, shipped, delivered, cancelled).
</ParamField>

<ParamField query="payment_status" type="string">
  Filter by payment status (pending, paid, `partially_refunded`, refunded).
</ParamField>

<ParamField query="fulfillment_status" type="string">
  Filter by fulfillment status (unfulfilled, partial, fulfilled).
</ParamField>

<ParamField query="from_date" type="string">
  Orders created on or after this date (RFC 3339, e.g. 2024-01-15T00:00:00Z).
</ParamField>

<ParamField query="to_date" type="string">
  Orders created on or before this date (RFC 3339, e.g. 2024-12-31T23:59:59Z).
</ParamField>

### Responses

<ResponseField name="200" type="OrderListResponse">
  List of orders
</ResponseField>

<ResponseField name="400" type="ErrorBody">
  Invalid filter parameter
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/orders' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "has_more": true,
    "limit": 1,
    "next_cursor": null,
    "offset": 1,
    "orders": [
      {
        "created_at": "2026-07-24T12:00:00Z",
        "currency": "string",
        "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "fulfillment_status": "string",
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "items": [],
        "order_number": "string",
        "payment_status": "string",
        "status": "string",
        "total_amount": "string",
        "updated_at": "2026-07-24T12:00:00Z"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
